@echo off
setlocal

REM Step 2: Define the target directory
set "frameworkDir=%~dp0resource\modules\python\libs"

REM Loop over directories in frameworkDir that match win64
for /D %%D in ("%frameworkDir%\*win64*") do (
    set "targetDir=%%~fD"
    goto :found
)

:found

REM Step 3: Check if get-pip.py exists in the target directory
if not exist "%targetDir%\get-pip.py" (
    REM Step 1: Download get-pip.py from the internet
    powershell -Command "Invoke-WebRequest -Uri https://bootstrap.pypa.io/get-pip.py -OutFile get-pip.py"

    REM Copy the file to the target directory
    copy "get-pip.py" "%targetDir%"

    REM Delete the original get-pip.py
    del get-pip.py
)

REM Step 4: Change the active directory to the target directory
cd /d "%targetDir%"

REM Step 5: Upgrade setuptools
.\python.exe -m pip install --upgrade setuptools

REM Step 6: Execute get-pip.py
.\python get-pip.py

REM Step 7: Install or update requests
.\python.exe -m pip install --upgrade requests

REM Step 8: Install or update Pillow
.\python.exe -m pip install --upgrade Pillow

REM Step 9: Install or update piexif
.\python.exe -m pip install --upgrade piexif

REM Step 10: Install or update openai
.\python.exe -m pip install --upgrade openai

REM Prompt the user to press a key to close the window
echo Press any key to close the window...
pause >nul

endlocal
